{% extends "collectors/base.html" %}
{% from 'macros/inputs.html' import input, label_with_tooltip %}

{% block content %}
    {% include 'includes/alerts.html' %}
    <div class="collectors-add">
        <h1>Add Datapoint</h1>
        <form method="post">
            {% for key, conf in collector_config.config.settings.data_points.items() %}
                {{ label_with_tooltip(key, conf) }}
                <br>
                {{ input(key, conf, none) }}
                <br>
            {% endfor %}
            <button class="submit-button-3" type="submit">Create Data point</button>
        </form>
    </div>
{% endblock %}